Package org.apache.sysds.runtime.compress.colgroup

## Interface IFrameOfReferenceGroup

All Known Implementing Classes:
  `ColGroupDDCFOR`, `ColGroupSDCFOR`

    public interface IFrameOfReferenceGroup

Interface for frame of reference groups.

### Method Summary

All Methods Instance Methods Abstract Methods
`AColGroup` `extractCommon​(double[] constV)` extract common value from group and return non morphing group

### Method Detail

#### extractCommon

    AColGroup extractCommon​(double[] constV)

extract common value from group and return non morphing group

Parameters:
  `constV` - a vector to contain all values, note length = nCols in total matrix.
Returns:
  A non morphing column group with decompression instructions.